## pd-iemnet 0.1

=== Makefile ===
# To use this Makefile for your project, first put the name of your library in
# LIBRARY_NAME variable. The folder for your project should have the same name
# as your library.
LIBRARY_NAME = iemnet
LIBRARY_VERSION = 0.1

# Next, add your .c source files to the SOURCES variable.  The help files will
# be included automatically
SOURCES = tcpserver.c tcpclient.c tcpsend.c tcpreceive.c udpreceive.c udpsend.c udpclient.c udpserver.c
#SOURCES = tcpclient.c  tcpreceive.c  tcpsend.c  tcpserver.c  udpreceive~.c  udpreceive.c  udpsend~.c  udpsend.c

# For objects that only build on certain platforms, add those to the SOURCES
# line for the right platforms.
SOURCES_android = 
SOURCES_cygwin = 
SOURCES_macosx = 
SOURCES_iphoneos = 
SOURCES_linux = 
SOURCES_windows = 

# .c source files that will be statically linked to _all_ objects
HELPERSOURCES = iemnet.c iemnet_data.c  iemnet_receiver.c  iemnet_sender.c


# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, READMEs, example
# patches, documentation, etc.
EXTRA_DIST = 

# to enable debugging set this to "-DDEBUG"
# you can slo just run make as "make DEBUG_CFLAGS='-DDEBUG'"
DEBUG_CFLAGS =


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# where Pd lives
PD_PATH = ../../../pd
# where to install the library
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)


INSTALL = install
INSTALL_FILE    = $(INSTALL) -p -m 644
INSTALL_LIB     = $(INSTALL) -p -m 644 -s
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

CFLAGS = -DPD -DLIBRARY_VERSION=\"$(LIBRARY_VERSION)\" -I$(PD_PATH)/src -Wall -W -Wno-unused -g 
LDFLAGS =  
LIBS = 
ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    OS = iphoneos
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
	CFLAGS := $(IPHONE_CFLAGS) $(OPT_CFLAGS) $(CFLAGS) \
      -I/Applications/Pd-extended.app/Contents/Resources/include
    LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    LIBS += -lc 
    STRIP = strip -x
    DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    OS = macosx
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=0 -fast
    FAT_FLAGS = -arch i386 -arch ppc -mmacosx-version-min=10.4
    CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include \
      -I/Applications/Pd-extended.app/Contents/Resources/include
    LDFLAGS += $(FAT_FLAGS) -bundle -undefined dynamic_lookup -L/sw/lib
    LIBS += -lc 
    STRIP = strip -x
    DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
    DISTBINDIR=$(DISTDIR)-$(OS)
  endif
endif
ifeq ($(UNAME),Linux)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += -fPIC
  LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  OS = cygwin
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -Wl,--export-dynamic -shared -L$(PD_PATH)/src
  LIBS += -lc -lpd
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  OS = windows
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  WINDOWS_HACKS = -D'O_NONBLOCK=1'
  CFLAGS += -mms-bitfields $(WINDOWS_HACKS)
  LDFLAGS += -s -shared -Wl,--enable-auto-import
  LIBS += -L$(PD_PATH)/src -L$(PD_PATH)/bin -L$(PD_PATH)/obj -lpd -lwsock32 -lkernel32 -luser32 -lgdi32
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

CFLAGS += $(OPT_CFLAGS)
CFLAGS += $(DEBUG_CFLAGS)


.PHONY = install libdir_install single_install install-doc install-exec clean dist etags

all: $(SOURCES:.c=.$(EXTENSION))

%.o: %.c
	$(CC) $(CFLAGS) -o "$@" -c "$<"

%.$(EXTENSION): %.o $(HELPERSOURCES:.c=.o)
	$(CC) $(LDFLAGS) -o "$@" $^  $(LIBS)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o $(HELPERSOURCES:.c=.o)
	$(CC) $(LDFLAGS) -o $@.$(EXTENSION) $^ $(LIBS)
	chmod a-x $@.$(EXTENSION)


install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) install-doc
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_FILE) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(SOURCES)" || \
		$(INSTALL_LIB) $(SOURCES:.c=.$(EXTENSION)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(PDOBJECTS)" || \
		$(INSTALL_LIB) $(OBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-exec
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_FILE) $(LIBRARY_NAME).$(EXTENSION) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(SOURCES)" || \
		$(INSTALL_FILE) $(SOURCES:.c=-help.pd) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(PDOBJECTS)" || \
		$(INSTALL_FILE) $(PDOBJECTS:.pd=-help.pd) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_FILE) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_FILE) VERSION.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/VERSION.txt
	$(INSTALL_FILE) CHANGES.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/CHANGES.txt


clean:
	-rm -f -- $(SOURCES:.c=.o) $(HELPERSOURCES:.c=.o)
	-rm -f -- $(SOURCES:.c=.$(EXTENSION))
	-rm -f -- $(LIBRARY_NAME).$(EXTENSION)

distclean: clean
	-rm -f *~ *.o *.$(EXTENSION)
	-rm -f -- $(DISTBINDIR).tar.gz
	-rm -rf -- $(DISTBINDIR)
	-rm -f -- $(DISTDIR).tar.gz
	-rm -rf -- $(DISTDIR)


$(DISTBINDIR):
	$(INSTALL_DIR) $(DISTBINDIR)

libdir: all $(DISTBINDIR)
	$(INSTALL_FILE) $(LIBRARY_NAME)-meta.pd  $(DISTBINDIR)
	$(INSTALL_FILE) $(SOURCES)  $(DISTBINDIR)
	$(INSTALL_FILE) $(SOURCES:.c=-help.pd) $(DISTBINDIR)
	test -z "$(EXTRA_DIST)" || \
		$(INSTALL_FILE) $(EXTRA_DIST)    $(DISTBINDIR)
#	tar --exclude-vcs -czpf $(DISTBINDIR).tar.gz $(DISTBINDIR)

$(DISTDIR):
	$(INSTALL_DIR) $(DISTDIR)

dist: $(DISTDIR)
	$(INSTALL_FILE) Makefile  $(DISTDIR)
	$(INSTALL_FILE) $(LIBRARY_NAME)-meta.pd  $(DISTDIR)
	test -z "$(ALLSOURCES)" || \
		$(INSTALL_FILE) $(ALLSOURCES)  $(DISTDIR)
	test -z "$(ALLSOURCES)" || \
		$(INSTALL_FILE) $(ALLSOURCES:.c=-help.pd) $(DISTDIR)
	test -z "$(PDOBJECTS)" || \
		$(INSTALL_FILE) $(PDOBJECTS)  $(DISTDIR)
	test -z "$(PDOBJECTS)" || \
		$(INSTALL_FILE) $(PDOBJECTS:.pd=-help.pd) $(DISTDIR)
	test -z "$(EXTRA_DIST)" || \
		$(INSTALL_FILE) $(EXTRA_DIST)    $(DISTDIR)
	tar --exclude-vcs -czpf $(DISTDIR).tar.gz $(DISTDIR)


etags:
	etags *.h $(SOURCES) ../../pd/src/*.[ch] /usr/include/*.h /usr/include/*/*.h

showpaths:
	@echo "PD_PATH: $(PD_PATH)"
	@echo "objectsdir: $(objectsdir)"
	@echo "LIBRARY_NAME: $(LIBRARY_NAME)"
	@echo "SOURCES: $(SOURCES)"
	@echo "ALLSOURCES: $(ALLSOURCES)"
	@echo "UNAME: $(UNAME)"
	@echo "CPU: $(CPU)"

=== debian/changelog ===
pd-iemnet (0.1-3) unstable; urgency=low

  [ Felipe Sateler ]
  * Cosmetic debian/control fixes

  [ IOhannes m zmölnig ]
  * Pushed standards to 3.9.2
  * Build-Depend on puredata-dev|puredata
  * Depend on puredata-core|pd
  * Updated debian/copyright to final DEP-5 format
  * Enabled hardened builds
  * Compat level 9 (Build-Depend on debhelper>=9)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 28 Jun 2012 17:16:46 -0400

pd-iemnet (0.1-2) unstable; urgency=low

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * FTBFS-fixes for non-linux (Closes: #605827)
  * Removed the '--with-quilt' option, we use v3 (quilt) format
  * Shortened Vcs stanzas

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 15 Apr 2011 18:02:08 +0200

pd-iemnet (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #599229)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 18 Oct 2010 15:49:33 +0200

=== debian/control ===
Source: pd-iemnet
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 9),
 puredata-dev | puredata  (>= 0.42.5-3)
Standards-Version: 3.9.3
Section: sound
Homepage: http://puredata.info/community/projects/software/iemnet
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-iemnet
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-iemnet.git

Package: pd-iemnet
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd
Description: Pd library for low-level networking
 This library adds Pure Data objects that allow to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio-realtime environment.
 .
 [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
 [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
 [udpreceive], [udpsend]: unidirectional communication over UDP
 [udpclient]: bidirectional communication over UDP
 .
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- pkglibdir=/usr/lib/pd/extra

override_dh_shlibdeps:
	dpkg-shlibdeps debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux \
           -Tdebian/pd-iemnet.substvars

override_dh_strip:
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
	   debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more. 
version=3
http://sf.net/pure-data/iemnet-(.*)\.tar\.gz

## pd-iemnet 0.2.1

=== Makefile ===
## Pd library template version 1.0.11
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = iemnet

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = tcpserver.c tcpclient.c tcpsend.c tcpreceive.c udpreceive.c udpsend.c udpclient.c udpserver.c

SHARED_SOURCES = iemnet.c iemnet_data.c  iemnet_receiver.c  iemnet_sender.c
SHARED_HEADERS = iemnet_data.h  iemnet.h

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = udpsndrcv.pd

# example patches and related files, in the 'examples' subfolder
#EXAMPLES = bothtogether.pd

# manuals and related files, in the 'manual' subfolder
#MANUAL = manual.txt

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = ChangeLog FEATURES.txt NOTES.txt

LIBS_windows=-lpthread

#overriding the datestring
# run `make CPPFLAGS="-DBUILD_DATE='\"somewhen in August\"'"`


#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
SHARED_LDFLAGS =
ALL_LIBS = 


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS := -Wall -Wno-unused -W -g

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC
ifneq ($(strip $(realpath /sw/include)),)
    ALL_CFLAGS += -I/sw/include
endif
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -bundle $(BUNDLE_LOADER) -undefined dynamic_lookup
ifneq ($(strip $(realpath /sw/lib)),)
    ALL_LDFLAGS += -L/sw/lib
endif
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O2 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O2 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O2 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O2 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O2 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB) -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj"
  SHARED_LDFLAGS += -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj"
  ALL_LIBS += -lpd -lwsock32 -lkernel32 -luser32 -lgdi32 $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

-include Makefile.local

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(CPPFLAGS) $(ALL_CFLAGS) $(OPT_CFLAGS) $(CFLAGS)
ALL_LDFLAGS := $(ALL_LDFLAGS) $(LDFLAGS)
ALL_LIBS := $(ALL_LIBS) $(LIBS)

SHARED_SOURCES ?= $(shell test ! -e lib$(LIBRARY_NAME).c || \
	echo lib$(LIBRARY_NAME).c )
SHARED_HEADERS ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= lib$(LIBRARY_NAME:=.$(SHARED_EXTENSION))

.PHONY = all clean distclean install dist \
        etags dpkg-source showsetup \
        libdir_install install-objects \
        single_install install-libobject \
        install-doc install-examples install-manual \
        libdir $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c $(SHARED_HEADERS)
	$(CC) $(ALL_CFLAGS) -o $@ -c $<

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o $@ $^  $(ALL_LIBS)
	chmod a-x $@

# this links everything into a single binary file
$(LIBRARY_NAME): $(LIBRARY_NAME).$(EXTENSION)

$(LIBRARY_NAME).$(EXTENSION): $(SOURCES:.c=.o) $(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $@ $^ $(ALL_LIBS)
	chmod a-x $@

$(SHARED_LIB): $(SHARED_SOURCES:.c=.o)
	$(CC) $(SHARED_LDFLAGS) $(LDFLAGS) -o $@ $^ $(ALL_LIBS)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
install-objects: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) $(PDOBJECTS) $(SHARED_TCL_LIB)
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $^ \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
libdir_install: install-objects install-doc install-examples install-manual

# install library linked as single binary
install-libobject: $(LIBRARY_NAME).$(EXTENSION)
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $^ $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	-$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

single_install: install-libobject install-doc install-examples install-manual

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES) $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(HELPPATCHES) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_DATA) LICENSE.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/LICENSE.txt
	$(INSTALL_DATA) ChangeLog $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/CHANGES.txt

install-examples:
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples && \
		for file in $(EXAMPLES); do \

=== debian/changelog ===
pd-iemnet (0.2.1-1) unstable; urgency=medium

  * Imported Upstream version 0.2.1

  [ IOhannes m zmölnig ]
  * Removed patches applied upstream
  * Change debian/watch file to monitor upstream's github page
  * Removed Debian specific .gitignore

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 04 Sep 2015 22:39:15 +0200

pd-iemnet (0.2-1) unstable; urgency=medium

  * Imported Upstream version 0.2
    * Removed patches applied upstream

  [ IOhannes m zmölnig ]
  * Reproducible builds:
    - Replace timestamp with time from debian/changelog
  * Re-did enabling of hardening builds
  * During build, re-enable call to dh_shlibdeps
  * Provide pd-net
    * Provide alternative for pd-net
    * Provide net-meta.pd
  * Mention IEM in the package description
  * Fixed spelling errors
  * Canonical Vcs-* stanzas
  * Updated debian/watch to new homepage
  * Fixed my uploader's name/email

  * Bumped standards to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Sep 2015 21:35:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Roman Haefeli <reduzent@gmail.com>,
- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 9),
  puredata-dev | puredata  (>= 0.42.5-3)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Section: sound
 Homepage: http://puredata.info/community/projects/software/iemnet
-Vcs-Git: git://git.debian.org/pkg-multimedia/pd-iemnet
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-iemnet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-iemnet.git
 
 Package: pd-iemnet
@@ -17,8 +17,12 @@
  ${shlibs:Depends},
  ${misc:Depends},
  puredata-core | pd
-Description: Pd library for low-level networking
- This library adds Pure Data objects that allow to build a networking
+Provides: pd-net
+Description: Pd library for low-level networking (IEM implementation)
+ This is a re-implementation of the original pd-net library by Martin Peach,
+ focussing on reliability and performance.
+ .
+ This library adds Pure Data objects that allow one to build a networking
  infrastructure within Pd on OSI-Layer 4 (transport layer).
  The objects use threads to allow for non-blocking network communication within
  an audio-realtime environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for iemnet

BUILD_DATE=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"for Debian on %Y/%m/%d at %H:%M:%S UTC")
export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(BUILD_DATE)"'

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- pkglibdir=/usr/lib/pd/extra

override_dh_shlibdeps:
	dh_shlibdeps
	dpkg-shlibdeps debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux \
           -Tdebian/pd-iemnet.substvars

override_dh_strip:
	dh_strip
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
	   debian/pd-iemnet/usr/lib/pd/extra/iemnet/*.pd_linux

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more. 
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pd-iemnet-$1\.tar\.gz/ \
  https://github.com/umlaeute/pd-iemnet/tags .*/v?(\d\S*)\.tar\.gz

## pd-iemnet 0.2.2

=== Makefile ===
# Makefile for iemnet

lib.name = iemnet

class.sources = \
        tcpserver.c \
        tcpclient.c \
        tcpsend.c \
        tcpreceive.c \
        udpreceive.c \
        udpsend.c \
        udpclient.c \
        udpserver.c

shared.sources = \
	iemnet.c \
	iemnet_data.c \
	iemnet_receiver.c \
	iemnet_sender.c

datafiles = \
	iemnet-meta.pd \
	tcpclient-help.pd \
	tcpreceive-help.pd \
	tcpsend-help.pd \
	tcpserver-help.pd \
	udpclient-help.pd \
	udpreceive-help.pd \
	udpsend-help.pd \
	udpserver-help.pd \
	udpsndrcv-help.pd \
	udpsndrcv.pd \
	LICENSE.txt \
	README.txt

cflags = -DVERSION='"$(lib.version)"'

define forWindows
  ldlibs = -lwsock32 -lpthread
endef

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder

PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== debian/changelog ===
pd-iemnet (0.2.2-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * New upstream version 0.2.2
    * Switch build-system to pd-lib-builder
  * Declare that building this package doesn't require "root" powers
  * Switch d/watch to the canonical git.iem.at
  * Set pristine-tar compression to "bz2"
  * Bump dh-compat to 12
  * Bump standards-version to 4.4.1

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 15:17:26 +0100

pd-iemnet (0.2.1-2) unstable; urgency=medium

  * Simplified & unified d/rules
    * Bumped dh compat to 11
    * Enabled hardening
  * Recommend pd-osc
  * Itemized object-list
  * Canonical homepage for Pd-projects
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Switched URLs to https://
  * Removed trailing whitespace in debian/*
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:14:06 +0100

=== debian/control ===
Source: pd-iemnet
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 pd-lib-builder,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Section: sound
Homepage: https://download.puredata.info/iemnet
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemnet.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemnet

Package: pd-iemnet
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd,
Recommends:
 pd-osc,
Provides: pd-net
Description: Pd library for low-level networking (IEM implementation)
 This is a re-implementation of the original pd-net library by Martin Peach,
 focussing on reliability and performance.
 .
 This library adds Pure Data objects that allow one to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio-realtime environment.
 .
  - [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
  - [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
  - [udpreceive], [udpsend]: unidirectional communication over UDP
  - [udpclient]: bidirectional communication over UDP
 .
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
                chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
                PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
                prefix=/usr pkglibdir=$(pkglibdir) \
                arch.flags="" \
                CPPFLAGS="$(CPPFLAGS)" \
                CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
                LDFLAGS="$(LDFLAGS)" \
                $(empty)

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=3
  https://git.iem.at/pd/iemnet/tags .*/-/archive/v?@ANY_VERSION@/iemnet-.*@ARCHIVE_EXT@

## pd-iemnet 0.3.0

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,15 @@
         udpreceive.c \
         udpsend.c \
         udpclient.c \
-        udpserver.c
+        udpserver.c \
+	$(empty)
 
 shared.sources = \
 	iemnet.c \
 	iemnet_data.c \
 	iemnet_receiver.c \
-	iemnet_sender.c
+	iemnet_sender.c \
+	$(empty)
 
 datafiles = \
 	iemnet-meta.pd \
@@ -30,14 +32,21 @@
 	udpserver-help.pd \
 	udpsndrcv-help.pd \
 	udpsndrcv.pd \
-	LICENSE.txt \
-	README.txt
+	LICENSE.md \
+	README.md \
+	$(empty)
 
-cflags = -DVERSION='"$(lib.version)"'
+iemnet.version := $(shell sed -n \
+    's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' \
+    iemnet-meta.pd)
+
+cflags = -DVERSION='"$(iemnet.version)"'
 
 define forWindows
   ldlibs = -lwsock32 -lpthread
 endef
+
+-include Makefile.local
 
 # This Makefile is based on the Makefile from pd-lib-builder written by
 # Katja Vetter. You can get it from:

=== debian/changelog ===
pd-iemnet (0.3.0-6) unstable; urgency=medium

  * Update d/watch for new GitLab tags page
  * Add patch to fix FTBFS du to changed API (Closes: #1066548)
  * Add puredata:Provides
  * Switch to dh-sequence-puredata
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Jun 2024 12:10:07 +0200

pd-iemnet (0.3.0-5) unstable; urgency=medium

  * Build for both single and double-precision Pd
    + Prevent installation of .o files
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 14:29:09 +0200

pd-iemnet (0.3.0-4) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:44:44 +0100

pd-iemnet (0.3.0-3) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 27 Nov 2022 00:01:57 +0100

pd-iemnet (0.3.0-2) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:45:07 +0200

pd-iemnet (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
    * Drop patches applied upstream
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Jun 2020 13:17:01 +0200

pd-iemnet (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Backport patch to fix resource leak
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 12 Apr 2020 23:12:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
  Roman Haefeli <reduzent@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- pd-lib-builder,
+ debhelper-compat (= 13),
+ dh-sequence-puredata,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Section: sound
 Homepage: https://download.puredata.info/iemnet
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemnet.git
@@ -17,12 +17,17 @@
 Package: pd-iemnet
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata-core | pd,
 Recommends:
  pd-osc,
-Provides: pd-net
+ ${puredata:Recommends},
+Provides:
+ pd-net,
+ ${puredata:Provides},
+Suggests:
+ ${puredata:Suggests},
 Description: Pd library for low-level networking (IEM implementation)
  This is a re-implementation of the original pd-net library by Martin Peach,
  focussing on reliability and performance.

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 dversionmangle=auto \
 https://git.iem.at/pd/iemnet/tags?sort=updated_desc -/archive/v?\d[\d.]+/iemnet-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
